Skip to main content
POST
/
datasets
/
{id}
/
extract
Trigger extract
curl --request POST \
  --url https://api.prequel.co/import/datasets/{id}/extract \
  --header 'X-API-KEY: <api-key>'
{
  "extract": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "submitted_at": "2023-11-07T05:31:56Z",
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "started_at": "2023-11-07T05:31:56Z",
    "ended_at": "2023-11-07T05:31:56Z",
    "records_processed": 123,
    "records_existing_updated": 123,
    "records_existing_unchanged": 123,
    "records_existing_deleted": 123,
    "records_new_inserted": 123,
    "records_errored": 123,
    "error": {
      "error_code": "<string>",
      "title": "<string>",
      "message": "<string>",
      "blame": "<string>",
      "documentation_url": "<string>",
      "trace": "<string>"
    }
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Response

Created

extract
object
required